<?php

// Definice cesty k adresáři aplikace
defined('APPLICATION_PATH') || define('APPLICATION_PATH', __DIR__.'/application');

// Nastavení cest k autoloadingu
set_include_path(get_include_path().PATH_SEPARATOR.APPLICATION_PATH.'/library');

// Definice aplikačního prostředí
$environment = getenv('APPLICATION_ENV') ? getenv('APPLICATION_ENV') : 'production';
defined('APPLICATION_ENV') || define('APPLICATION_ENV', $environment);

// Cesta ke konfiguračnímu souboru
$ini = APPLICATION_PATH.'/configs/application.ini';

require_once 'Zend/Application.php';

// Vytvořit aplikaci, nastavit ji a spustit
$application = new Zend_Application(APPLICATION_ENV, $ini);
$application->bootstrap()->run();
