SET NAMES utf8;
SET time_zone = '+00:00';

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id_user` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` varchar(128) COLLATE utf8_czech_ci NOT NULL,
  `last_name` varchar(128) COLLATE utf8_czech_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `user_name` varchar(64) COLLATE utf8_czech_ci NOT NULL,
  `user_password` varchar(128) COLLATE utf8_czech_ci NOT NULL,
  `otp_type` enum('hotp', 'totp') COLLATE utf8_czech_ci DEFAULT NULL,
  `otp_seed` varchar(128) COLLATE utf8_czech_ci NOT NULL,
  `hotp_counter` int(10) unsigned DEFAULT NULL,
  `valid_to` datetime DEFAULT NULL,
  `login_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;
